### Method

# ECal Client modify_object

since: 3.2

#### Declaration [src]

    void
    e_cal_client_modify_object (
      ECalClient* client,
      ICalComponent* icalcomp,
      ECalObjModType mod,
      ECalOperationFlags opflags,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Requests the calendar backend to modify an existing object. If the object does not exist on the calendar, an error will be returned.

For recurrent appointments, the `mod` argument specifies what to modify, if all instances (#E_CAL_OBJ_MOD_ALL), a single instance (#E_CAL_OBJ_MOD_THIS), or a specific set of instances (#E_CAL_OBJ_MOD_THIS_AND_PRIOR and

# E_CAL_OBJ_MOD_THIS_AND_FUTURE).

The call is finished by `e_cal_client_modify_object_finish()` from the `callback`.

Available since: 3.2

This method completes asynchronously. Use `e_cal_client_modify_object_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`icalcomp`

  Type: `None`

  Component to modify.

  The data is owned by the caller of the method.

`mod`

  Type: `ECalObjModType`

  Type of modification.

`opflags`

  Type: `ECalOperationFlags`

  Bit-or of `ECalOperationFlags`.

`cancellable`

  Type: `GCancellable`

  A `GCancellable`; can be `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  Callback to call when a result is ready.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  User data for the `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.